<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateMstStructures extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('mst_structures', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('code')->default(0); // 構造コード(value)
            $table->text('name'); // 構造名(name)
        });
        DB::statement("ALTER TABLE mst_structures COMMENT 'マスタ：構造'");
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('mst_structures');
    }
}
